Subject: Re: [RFC] consistent_sync and non L1 cache line aligned buffers

From: Matt Porter <[email-masked]>
Date: Tue, 15 Jul 2003 16:45:58 -0700

On Tue, Jul 15, 2003 at 04:04:24PM -0700, [email-masked] wrote:
>
> > IMHO, the easiest solution is
> > alignment of buffers.....plus it's likely to be a performance
> > improvement.
>
> True, it's the easiest solution for the kernel developer, but
> requires more work from driver authors.  Which is ok, *if* it's
> well documented and everyone knows buffers must be aligned,
> and that's the problem.  I think some people implicitly understand
> these issues, and assume that everyone else thinks the same way.

What more do you expect than the "What memory is DMA'able?" section
in Documentation/DMA-mapping.txt?

It's there to refer the developers to. Some maintainers have bugs
in their drivers/subsystems.  They just need a patch from the people
that depend on the bug fix.

I know you are now focusing on some 8xx buffer issue but the original
issue was surrounding generic SCSI subsystem bugs.

Regards,
--
Matt Porter
[email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/